import { declare } from "@babel/helper-plugin-utils";
import regeneratorTransform from "regenerator-transform";
export default declare(({
  types: t,
  assertVersion
}) => {
  assertVersion(7);
  return {
    name: "transform-regenerator",
    inherits: regeneratorTransform.default,
    visitor: {
      MemberExpression(path) {
        var _this$availableHelper;
        if (!((_this$availableHelper = this.availableHelper) != null && _this$availableHelper.call(this, "regeneratorRuntime"))) {
          return;
        }
        const obj = path.get("object");
        if (obj.isIdentifier({
          name: "regeneratorRuntime"
        })) {
          const helper = this.addHelper("regeneratorRuntime");
          if (t.isArrowFunctionExpression(helper)) {
            obj.replaceWith(helper.body);
            return;
          }
          obj.replaceWith(t.callExpression(helper, []));
        }
      }
    }
  };
});

//# sourceMappingURL=index.js.map
